#
# spec file for package WindowMaker (Version 0.80.2.20030506)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  autoconf expat freetype2 freetype2-devel hermes hermes-devel libjpeg libpng-devel-packages libtiff libungif x-devel-packages xpm

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext hermes hermes-devel libjpeg libpng libpng-devel libtiff libtool libungif perl rpm

Name:         WindowMaker
License:      GPL, LGPL
Group:        System/GUI/Other
URL:          http://www.windowmaker.org
Obsoletes:    wmaker 
Provides:     wmaker windowmanager
Requires:     xdg-menu
Autoreqprov:  on
Summary:      A colorful and flexible window manager
Version:      0.80.2.20030506
Release:      197.2
Source:       WindowMaker-%{version}.tar.bz2
Source1:      WindowMaker-extra-0.1.tar.bz2
Source2:      SuSE-theme.tar.bz2
Source3:      iconv_menu_files
Source4:      README.SuSE
Patch1:       WindowMaker-config.dif
Patch2:       WindowMaker-menu.patch
Patch3:       WindowMaker-ia64.patch
Patch4:       WindowMaker-wsetfont.patch
Patch5:       WindowMaker-configure-xft.patch
Patch7:       WindowMaker-useMultiByte-useXft.patch
Patch9:       WindowMaker-locale.patch
Patch10:      WindowMaker-fontmatching.patch
Patch11:      WindowMaker-alt_focus.patch
Patch12:      WindowMaker-gtk2_flicker.patch
Patch14:      WindowMaker-disable-mmx.patch
Patch15:      WindowMaker-workspace-cycle.patch
Patch16:      WindowMaker-exit-dialog.patch
Patch17:      WindowMaker-wmsetbg.patch
Patch18:      WindowMaker-tmpfile.patch
Patch19:      WindowMaker-invalid-chars.patch
Patch20:      WindowMaker-window-title.patch
Patch21:      WindowMaker-wprefs-dialogs.patch
Patch22:      WindowMaker-omnipresent.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package devel
Requires:     WindowMaker
Summary:      Includes and static libraries for Window Maker
Group:        Development/Libraries/X11

%description
Window Maker is a colorful and flexible window manager and the
designated successor of AfterStep.

The "themes" make it very interesting. For more details, check
http://www.windowmaker.org.



Authors:
--------
    Alfredo K. Kojima <kojima@windowmaker.org>


%description devel
Includes and static libraries for Window Maker



Authors:
--------
    Alfredo K. Kojima <kojima@windowmaker.org>

%prep
%setup -n WindowMaker-%{version} -a 1
mkdir menu.orig
cp WindowMaker/{menu.*,plmenu.*} menu.orig
%patch1
%patch3 -p1 -b .ia64
%patch4 -p0 -b .wsetfont
%patch5 -p0 -b .configure-xft
%patch2
%patch7 -p0 -b .useMultiByte-useXft
%patch9 -p1 -b .locale
%patch10 -p0 -b .fontmatching
%patch11
%patch12
%patch14 -p0 -b .disable-mmx
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
%patch22
cp %{S:4} .
(cd WindowMaker; rm -f *.orig; ./mkMakefile )
# ---------------------------------------------------------------------------

%build
aclocal
libtoolize --copy --force --automake
autoreconf --force --install
export LINGUAS="cs de da el es fi fr gl hr it ja ko nl no pl pt ro ru sv sk tr zh_TW.Big5 zh_CN hu bg et ms"
export CFLAGS="$RPM_OPT_FLAGS $(freetype-config --cflags) -fno-strict-aliasing"
./configure --prefix=/usr/X11R6 \
            --exec-prefix=/usr/X11R6 \
            --sysconfdir=/etc/X11 \
            --mandir=%{_mandir} \
            --enable-sound \
	    --enable-gnome \
	    --enable-kde \
            --with-nlsdir=/usr/share/locale \
            --with-pixmapdir=/usr/X11R6/share/WindowMaker/Pixmaps \
	    --libdir=/usr/X11R6/%{_lib}
(cd WindowMaker/Defaults; make clean; make)
make 
(cd WindowMaker-extra-0.1
./configure --prefix=/usr/X11R6 \
            --exec-prefix=/usr/X11R6 \
            --with-pixmapdir=/usr/X11R6/share/WindowMaker/Pixmaps \
	    --libdir=/usr/X11R6/%{_lib}
make
)
# ---------------------------------------------------------------------------

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install-strip
install -m 755 dockit $RPM_BUILD_ROOT/usr/X11R6/bin/dockit
install -m 755 windowmaker $RPM_BUILD_ROOT/usr/X11R6/bin/windowmaker
cd WindowMaker-extra-0.1
make DESTDIR=$RPM_BUILD_ROOT install
tar xfvj %SOURCE2 -C $RPM_BUILD_ROOT/usr/X11R6/share/WindowMaker/Themes/
find $RPM_BUILD_ROOT/usr/X11R6/share/WindowMaker/Themes -type f -exec chmod 644 {} \;
find $RPM_BUILD_ROOT/usr/X11R6/share/WindowMaker/Themes -type d -exec chmod 755 {} \;
#----------------------------------------------------------------------
# create menu files in UTF-8 encoding:
pushd $RPM_BUILD_ROOT/usr/X11R6/share/WindowMaker/
chmod a+x %{S:3}
%{S:3}
popd
#----------------------------------------------------------------------
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}
mv $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/pkgconfig $RPM_BUILD_ROOT/usr/%{_lib}
# not packaged
rm -f $RPM_BUILD_ROOT/%{_mandir}/sk/man1/*

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%dir /etc/X11/WindowMaker
%config /etc/X11/WindowMaker/*
/usr/X11R6/GNUstep
/usr/X11R6/bin/*
/usr/X11R6/%{_lib}/*.so.*
/usr/X11R6/%{_lib}/*.la
%doc %{_mandir}/man1/*
/usr/X11R6/share/WINGs
/usr/X11R6/share/WindowMaker
/usr/share/locale/*/*/*
%doc AUTHORS BUGFORM BUGS COPYING COPYING.WTFPL ChangeLog FAQ FAQ.I18N
%doc MIRRORS NEWS README README.GNOME README.KDE TODO README.SuSE
%doc menu.orig

%files devel
%defattr(-,root,root)
/usr/%{_lib}/pkgconfig/*.pc
/usr/X11R6/include/*
/usr/X11R6/%{_lib}/*.a
/usr/X11R6/%{_lib}/*.so

%changelog -n WindowMaker
* Fri May 07 2004 - nadvornik@suse.cz
- fixed high CPU load on omnipresent windows [#38570]
* Mon Apr 05 2004 - nadvornik@suse.cz
- updated SUSE theme [#30775]
* Tue Mar 30 2004 - nadvornik@suse.cz
- more fixed widget sizes in WPrefs [#35915]
* Thu Mar 18 2004 - nadvornik@suse.cz
- better handling of utf8 charset
- fixed widget sizes in WPrefs (some localized texts did not fit in) [#35915]
* Thu Mar 11 2004 - nadvornik@suse.cz
- better handle invalid multibyte characters [#35247]
- added README.SuSE describing the problem
* Tue Feb 03 2004 - nadvornik@suse.cz
- fixed temp file handling [#34078]
- run xdg_menu on startup to cache output
- compile with -fno-strict-aliasing
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Sep 23 2003 - nadvornik@suse.cz
- fixed changing background color with wmsetbg [#31567]
* Mon Sep 22 2003 - nadvornik@suse.cz
- update old SUSE theme on startup, because images from the old
  theme are no longer present
* Fri Sep 19 2003 - nadvornik@suse.cz
- new SuSE theme [#30775]
* Fri Sep 12 2003 - nadvornik@suse.cz
- fixed updating WMRootMenu on startup [#29508]
* Wed Sep 03 2003 - nadvornik@suse.cz
- fixed workspace cycling problem [#29720]
- fixed broken exit dialog in de_DE locale [#29728]
* Mon Sep 01 2003 - nadvornik@suse.cz
- fix SuSE menu location in WMRootMenu on startup
* Wed Aug 27 2003 - nadvornik@suse.cz
- fixed focus bug [#29004]
- suse menu is cached
* Tue Aug 26 2003 - ro@suse.de
- make sure iconv_menu_files is executable
* Mon Aug 25 2003 - nadvornik@suse.cz
- added fix for focus flickering [#27175]
- moved config files to /etc/X11
- use xdg-menu for SuSE menu
* Mon May 26 2003 - ro@suse.de
- add pkgconfig files to devel subpackage
- remove not-packaged sk man-pages from buildroot
* Tue May 06 2003 - mfabian@suse.de
- another improvment to wsetfont by Gerd Knorr <kraxel@suse.de>:
  make the font size easily configurable when using Xft by
  adding a "--size" option to wsetfont.
* Tue May 06 2003 - mfabian@suse.de
- update to current CVS (0.80.2.20030506)
- improve wsetfont to set AntialiasedText=YES/NO depending on
  whether the font setup is for Xft or X11 core fonts (and remove
  useless "WINGsConfiguration.antialiasedText = True;" from
  WindowMaker-useMultiByte-useXft.patch).
- set size for "LargDisplayFont" to 24 pixel in wsetfont when
  using Xft.
- add configure test to distinguish between Xft1 and Xft2
  and remove check for RENDER extension only when Xft2 is
  available.
* Mon May 05 2003 - mfabian@suse.de
- WindowMaker-wsetfont.patch: use "-*-" instead of "-xftdummy-"
  in the foundry because the latest version of fontconfig now
  actually uses the foundry and inserting an dummy value doesn't
  work anymore.
- remove "fontconfig fontconfig-devel" from neededforbuild again
  and replace xf86 by x-devel-packages
* Mon Apr 28 2003 - mfabian@suse.de
- update to current CVS (0.80.2.20030428)
- improved wsetfont now included upstream
- add "fontconfig fontconfig-devel" to neededforbuild,
  add config-dist.sh to remove this when building for SuSE 8.2.
- add option "--no-fonts" to setstyle when installing the
  SuSE-theme in /usr/X11R6/bin/windowmaker to avoid overwriting
  the font done by wsetfont.
* Wed Apr 23 2003 - mfabian@suse.de
- update to current CVS (0.80.2.20030423)
- improve "wsetfont" to make it work on FreeBSD as well
- remove: WindowMaker-nls.patch,
  WindowMaker-plmenu.zh_TW.Big5.patch (included upstream)
- remove Vladimir's WindowMaker-LocMenu.patch, a similar fix
  is now included upstream
* Thu Apr 17 2003 - mfabian@suse.de
- disable use of assembler mmx stuff because it makes WindowMaker
  crash immediately. This assembler code was recently introduced
  in CVS, but apparently it doesn't work yet.
* Wed Apr 16 2003 - mfabian@suse.de
- update to current CVS (0.80.2.20030415) and adapt patches
- add "freetype2 freetype2-devel expat" to neededforbuild to enable
  Xft.
- WindowMaker-useMultiByte-useXft.patch: enable Xft always
  even when there is no RENDER extension, improve fallback font
  settings, call "wsetfont --sans" in wmaker.inst to get reasonable
  default font settings for Xft.
- WindowMaker-wsetfont.patch: extend to support useful font
  settings for Xft. Also include  Support for CP1251
  (Bulgarian and Belarussian) and ISO 8859-5 (Macedonian,
  Cyrillic Serbian) by Anton Zinoviev <zinoviev@debian.org>
* Wed Mar 12 2003 - nadvornik@suse.cz
- fixed bug in opening localized menu [#25144]
* Mon Mar 03 2003 - nadvornik@suse.cz
- use GNUSTEP_USER_ROOT in windowmaker script [#24418]
* Fri Dec 20 2002 - mfabian@suse.de
- update to 0.80.2
- remove WindowMaker-overflow.patch (included upstream)
- remove obsolete configure option --enable-kanji
- add WindowMaker-fontmatching.patch to improve fontset guessing
- improve wsetfont:
  add fontsets: latin9, turkish, efontuni, gnuuni, generic
  add LargeDisplayFont to the lists of fontsets changed by wsetfont
  improve behaviour of '--auto and --locale' switch by using
  'locale charmap' to find out which fontset is suitable.
- add iconv_menu_files script to generate UTF-8 encoded menu files
- fix syntax error in plmenu.zh_TW.Big5
- patch plmenu.ja the same way the other plmenu.* files
  are patched
* Tue Nov 12 2002 - nadvornik@suse.cz
- fixed overflow in RCreateImage()
* Tue Jul 02 2002 - nadvornik@suse.cz
- updated to 0.80.1: bugfix release
* Wed Apr 24 2002 - nadvornik@suse.cz
- used macro %%{_lib}
* Fri Feb 22 2002 - nadvornik@suse.cz
- fixed file permissions
* Fri Feb 22 2002 - nadvornik@suse.cz
- replaced /home/mawa with $HOME in german menu
* Thu Feb 21 2002 - adrian@suse.de
- add SuSE default theme by Ken
- change behaviour of LMB on background (menu instead of selection)
* Mon Feb 18 2002 - nadvornik@suse.cz
- added bugfixes from CVS:
- fixed crash when setting "Emulate AppIcon" [bug #13380]
- fixed problem with saving session when shared appicon is enabled
- fixed focus related problems
- fixes for multihead systems
* Thu Feb 14 2002 - nadvornik@suse.cz
- set MultiByteText to yes in WMGLOBAL
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 08 2002 - nadvornik@suse.cz
- updated to 0.80.0
- shared appicons between applications of the same class
- Dock/Clip can steal appicons of applications started by other
  means (main menu, terminal) and attach them
- many bugs fixed
* Fri Nov 16 2001 - nadvornik@suse.cz
- set MultiByteText to yes by default
* Mon Oct 08 2001 - nadvornik@suse.cz
- updated to 0.70.0
  libPropList is no longer required
  many bugs fixed
* Sun Sep 16 2001 - mfabian@suse.de
- fix wsetfont script for Japanese and Korean
* Thu Jul 26 2001 - nadvornik@suse.cz
- update to 0.65.1
* Wed Jun 06 2001 - nadvornik@suse.cz
- updated to 0.65.0
- compiled with hermes
* Thu Apr 26 2001 - nadvornik@suse.cz
- fixed problems with saving icons
* Tue Apr 24 2001 - nadvornik@suse.cz
- fixed segfault in WPrefs
* Thu Apr 19 2001 - nadvornik@suse.cz
- fixes for ia64
* Fri Apr 06 2001 - nadvornik@suse.cz
- better integration of menus generated by susewm
* Thu Mar 29 2001 - nadvornik@suse.cz
- fixed bug in keyboard handling
- used RPM_OPT_FLAGS
* Tue Mar 13 2001 - nadvornik@suse.cz
- created devel subpackage
* Mon Feb 26 2001 - nadvornik@suse.cz
- update to 0.64.0
* Fri Jan 26 2001 - nadvornik@suse.cz
- update to 0.63.1
* Fri Dec 15 2000 - nadvornik@suse.cz
- added paths for package icons
* Thu Nov 23 2000 - nadvornik@suse.cz
- added Provides: wmaker windowmanager
- removed Requires: wterm
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Oct 10 2000 - nadvornik@suse.cz
- fixed list of doc files
* Mon Oct 02 2000 - nadvornik@suse.cz
- fixed start script
- used bzip2
* Mon Aug 14 2000 - nadvornik@suse.cz
- fixed bug in shutdown.c
* Fri Aug 11 2000 - nadvornik@suse.cz
- fixed bug in menu.c
* Thu Jul 27 2000 - nadvornik@suse.cz
- "EXEC SAVE_WORKSPACE" replaced with "SAVE_SESSION" in menu
  (bug #3640)
* Tue May 09 2000 - nadvornik@suse.cz
- update to 0.62.1
* Wed May 03 2000 - nadvornik@suse.cz
- build with i18n support
* Fri Apr 21 2000 - nadvornik@suse.cz
- added BuildRoot
* Mon Apr 10 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - choeger@suse.de
- added mandir
* Tue Feb 29 2000 - choeger@suse.de
- added wterm to requires
* Mon Oct 25 1999 - ro@suse.de
- switched to libungif
* Tue Oct 19 1999 - choeger@suse.de
- new version, 0.61.1
* Tue Sep 28 1999 - choeger@suse.de
- added KDE-Support
* Thu Sep 23 1999 - choeger@suse.de
- new version
* Mon Sep 20 1999 - ro@suse.de
- added provides windowmanager
* Tue Sep 14 1999 - ro@suse.de
- finally removed libproplist-files from filelist
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 19 1999 - choeger@suse.de
- removed proplist from source archives and
  using the already present version of SuSE Dist.
* Fri Jul 16 1999 - choeger@suse.de
- add script windowmaker
- changed wmaker.inst not to touch .xinitrc
* Tue Jul 06 1999 - choeger@suse.de
- added GNOME-Support (--enable-gnome)
* Wed Apr 28 1999 - choeger@suse.de
- new version 0.53.0
* Tue Mar 23 1999 - choeger@suse.de
- bugfix for spec-file (make clean in the Default-Config-Dir)
* Thu Mar 11 1999 - choeger@suse.de
- new version 0.51.1
* Tue Jan 19 1999 - choeger@suse.de
- actual version 0.50.2
* Mon Dec 21 1998 - choeger@suse.de
- actual version 0.20.3
* Thu Jul 09 1998 - ro@suse.de
- removed doc/libproplist/COPYING.LIB (simply doesn't exist)
* Wed Jul 01 1998 - maddin@suse.de
- first S.u.S.E. version 0.15.1
- changed configure so it works right for libPropList
- moved documentation
- /usr/X11R6/lib/X11/WindowMaker used as wm's home
- made wrapper script for wmaker, called windowmaker so user's
  files are updated correctly
